# Created by pyp2rpm-3.3.2
%global pypi_name pre-commit

Name:           python-%{pypi_name}
Version:        1.15.0
Release:        1%{?dist}
Summary:        A framework for managing and maintaining multi-language pre-commit hooks

License:        MIT
URL:            https://github.com/pre-commit/pre-commit
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/pre_commit-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
[![Build Status]( [![Coverage Status]( [![Build status]( pre-commitA framework
for managing and maintaining multi-language pre-commit hooks.For more
information see:

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(aspy.yaml)
Requires:       python3dist(cfgv) >= 1.4.0
Requires:       python3dist(futures)
Requires:       python3dist(identify) >= 1.0.0
Requires:       python3dist(importlib-metadata)
Requires:       python3dist(importlib-resources)
Requires:       python3dist(nodeenv) >= 0.11.1
Requires:       python3dist(pyyaml)
Requires:       python3dist(setuptools)
Requires:       python3dist(six)
Requires:       python3dist(toml)
Requires:       python3dist(virtualenv) >= 15.2
%description -n python3-%{pypi_name}
[![Build Status]( [![Coverage Status]( [![Build status]( pre-commitA framework
for managing and maintaining multi-language pre-commit hooks.For more
information see:


%prep
%autosetup -n pre_commit-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{_bindir}/pre-commit
%{_bindir}/pre-commit-validate-config
%{_bindir}/pre-commit-validate-manifest
%{python3_sitelib}/pre_commit
%{python3_sitelib}/pre_commit-%{version}-py?.?.egg-info

%changelog
* Sun Mar 31 2019 mockbuilder - 1.15.0-1
- Initial package.